XDARWIN(1)

NAME
Xdarwin - X window system server for Darwin operating system

SYNOPSIS
Xdarwin [ options ] ...

DESCRIPTION
Xdarwin is the window server for Version 11 of the X window system on the Darwin operating system. It uses IOKit services to accesss the display framebuffer, mouse and keyboard and to provide a layer of hardware abstraction. Xdarwin will normally be started by the xdm(1) display manager or by a script that runs the program xinit(1).

OPTIONS

In addition to the normal server options described in the Xserver(1) manual page, Xdarwin accepts the following command line switches:

-fakebuttons
    Emulates a 3 button mouse using the Command and Option keys. Clicking the first mouse button while holding down Command will act like clicking button 2. Holding down Option will simulate button 3.

-nofakebuttons
    Do not emulate a 3 button mouse. This is the default.

-size width height
    Sets the screeen resolution for the X server to use.

-depth depth
    Specifies the color bit depth to use. Currently only 8, 15, and 24 color bits per pixel are supported.

-refresh rate
    Gives the refresh rate to use in Hz. For LCD displays this should be 0.

-showconfig
    Print out the server version and patchlevel.

-version
    Same as -showconfig.

SEE ALSO

X(7), Xserver(1), xdm(1), xinit(1)

BUGS
Xdarwin and this man page still have many limitations. Some of the more obvious ones are:
- Only one display is supported.
- The display mode can not be changed once the X server has started.
- A screen saver is not supported.
- The X server does not wake from sleep correctly.
- The key repeat rate can not be changed.

AUTHORS
Original Port to Mac OS X Server - John Carmack
Port to Darwin 1.0 - Dave Zarzycki
Improvements and bug fixes - Torrey T. Lyons